分享
三行代码  ›  专栏  ›  技术社区  ›  redshift

如何在依赖项中更新依赖项?

  •  1
  • redshift  · 技术社区  · 5 天前

    我想更新的'车把'节点模块,这是一个依赖的 Vue-Cli (见截图)。

    enter image description here

    非常感谢。

    1 回复  |  直到 5 天前
        1
  •  1
  •   CyberEternal    5 天前

    在package.json文件中添加一个resolutions字段,并定义版本覆盖。

    它看起来像这样

    {
      ...
      "dependencies": {
        ...
      },
      "devDependencies": {
        ...
      },
      "resolutions": {
        "EXAMPLE_PACKAGE": "EXAMPLE_PACKAGE_NEEDED_VERSION"
      }
    }